org.jbpm.compiler.xml.processes

## Class DynamicNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.compiler.xml.processes.AbstractNodeHandler
    - - org.jbpm.compiler.xml.processes.CompositeNodeHandler
      - - org.jbpm.compiler.xml.processes.DynamicNodeHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler

      public class DynamicNodeHandler
      extends CompositeNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `EOL`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicNodeHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode()`
    `Class<?>` | `generateNodeFor()`
    `protected String` | `getNodeName()`

    - ### Methods inherited from class org.jbpm.compiler.xml.processes.CompositeNodeHandler

      `allowNesting, getInPorts, getOutPorts, getSubConnections, getSubNodes, writeAttributes, writeNode`

    - ### Methods inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `containsMetaData, end, endNode, endNode, extractAction, handleAction, handleNode, initValidParents, initValidPeers, start, writeAction, writeActions, writeMetaData, writeNode, writeTimers`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### DynamicNodeHandler

          public DynamicNodeHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Overrides:
        `createNode` in class `CompositeNodeHandler`

    - #### generateNodeFor

          public Class<?> generateNodeFor()

      Specified by:
        `generateNodeFor` in interface `org.drools.core.xml.Handler`
      Overrides:
        `generateNodeFor` in class `CompositeNodeHandler`

    - #### getNodeName

          protected String getNodeName()

      Overrides:
        `getNodeName` in class `CompositeNodeHandler`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.